import 'package:flutter/material.dart';

import 'package:minehunter/provider/data.dart';

class GameModeIndicatorReport extends StatelessWidget {
  const GameModeIndicatorReport({super.key, required this.myProvider});

  final Data myProvider;

  @override
  Widget build(BuildContext context) {
    final String reportModeSuffix = myProvider.reportMode ? 'on' : 'off';

    return TextButton(
      child: Image(
        image: AssetImage(
            'assets/skins/${myProvider.parameterSkin}_indicator_report_$reportModeSuffix.png'),
        fit: BoxFit.fill,
      ),
      onPressed: () => myProvider.updateReportMode(true),
    );
  }
}
